Binary problems in FreeBSD

Binary problems in FreeBSD

Post by Joachim Str?mbergso » Sat, 05 Apr 1997 04:00:00



Tja!

I have downloaded the Glimpse 3.6 binaries for FreeBSD and unpacked
them. But when I try to run them I get:

ld.so failed: Can't find shared library "libc.so.2.2".

My installation of FreeBSD 2.2.1 contains just about all normal stuff
(developer with all sources, including X) so whats really up the creek?

--
Cheers!
Joachim - Alltid i harmonisk sv?ngning
--------------------------------------------------------
Joachim Str?mbergson  MSc Student, nice to CUTE animals.

977 54 Lule?       C64       phone: +46(0)920 - 22 16 42
Sweden         -FairLight-   alt:   +46(0)10 - 22 10 543
--------------------------------------------------------

 
 
 

Binary problems in FreeBSD

Post by Mark Tingue » Sat, 05 Apr 1997 04:00:00






>>ld.so failed: Can't find shared library "libc.so.2.2".

>Installing the compatxx stuff might help.

speaking of the compatxx distribution, does anyone know why compat21
is missing the libg++.so.3.0 file? I had to pull it from one of my
FreeBSD 2.1.x machines after installing 2.2[.1].

--mark.

 
 
 

Binary problems in FreeBSD

Post by Jordan K. Hubbar » Sat, 05 Apr 1997 04:00:00



> speaking of the compatxx distribution, does anyone know why compat21
> is missing the libg++.so.3.0 file? I had to pull it from one of my
> FreeBSD 2.1.x machines after installing 2.2[.1].

That's been fixed in the 2.2.1 release on ftp.freebsd.org (and soon,
hopefully, its mirrors).  It's also fixed in the upcoming 2.2.1 CDROM
release.

--
- Jordan Hubbard
  FreeBSD core team / Walnut Creek CDROM.

 
 
 

Binary problems in FreeBSD

Post by J Wuns » Sun, 06 Apr 1997 04:00:00



> speaking of the compatxx distribution, does anyone know why compat21
> is missing the libg++.so.3.0 file? I had to pull it from one of my
> FreeBSD 2.1.x machines after installing 2.2[.1].

Forgotten, i'd say.  Please submit a PR for this.

--
cheers, J"org


Never trust an operating system you don't have sources for. ;-)

 
 
 

Binary problems in FreeBSD

Post by Rombout de Back » Tue, 08 Apr 1997 04:00:00


Quote:>That's been fixed in the 2.2.1 release on ftp.freebsd.org (and soon,
>hopefully, its mirrors).  It's also fixed in the upcoming 2.2.1 CDROM
>release.

I downloaded release 2.2.1 from ftp.nl.freebsd.org last weekend. How can I
check whether I have the 'updated' release?

Or, did you mean that it is fixed in 2.2.1 (as it was not in 2.2.0) ?

Puzzled,
Rombout de Backer.

 
 
 

1. Netscape Plug-ins under Freebsd ??

Folks;
  I am looking at writing a Netscape Plug-in. I have the Netscape
"PluginSDK30b5" from their website. There is no FreeBSD makefile, but
the Linux one runs to completion; creating npsimple.so.
Unfortunately, Netscape 4.04 crashes when I put this in the plugins
directory and ask about loaded plugins.

I notice that the linux binary version specifically calls out ELF
format. Is the problem the lack of the object format? What is the
situation concerning plugins on FreeBSD?

Rip Toren

2. Oracle WGS & Linux

3. supraexpress modems (28.8) problems w/dial-ins

4. RedHat 6.0 and p III 450

5. Netscape plug-ins problem

6. Mouse problem in X

7. Problems with dialing out when dial-ins are enabled

8. Agetty

9. Netscape 4.51 and plug-ins problem

10. Linux binaries on FreeBSD?

11. looking for python and zope binaries for freebsd

12. running Freebsd binaries

13. FreeBSD binaries for PostgreSQL